## org.apache.lucene.analysis.ngram
Class EdgeNGramTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.ngram.EdgeNGramTokenizerFactory

    public class EdgeNGramTokenizerFactory

extends TokenizerFactory

Creates new instances of `EdgeNGramTokenizer`.

     <fieldType name="text_edgngrm" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.EdgeNGramTokenizerFactory" side="front" minGramSize="1" maxGramSize="1"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`EdgeNGramTokenizerFactory(Map<String,String> args)` Creates a new EdgeNGramTokenizerFactory

Method Summary
`EdgeNGramTokenizer` `create(AttributeSource.AttributeFactory factory, Reader input)` Creates a TokenStream of the specified input using the given AttributeFactory

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, create, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeNGramTokenizerFactory

    public EdgeNGramTokenizerFactory(Map<String,String> args)

  Creates a new EdgeNGramTokenizerFactory

Method Detail

### create

    public EdgeNGramTokenizer create(AttributeSource.AttributeFactory factory,
                                     Reader input)

  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input using the given AttributeFactory

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.